
Infrastructure - Task #4186

Story # 3548 (Closed): CN Read-only mode implementation

Disable access to Metacat create/update Methods

2013-11-25 19:59 - Robert Waltz

Status: Closed Start date: 2013-11-25

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: 2014.2-Block.1.1   

Milestone: CCI-1.3 Story Points:  

Product Version: *   

Description

All of these calls may be found in DataOne_CN_Rest_Proxy project

Please note that each of the methods have two implementations.

The methods need to check for a property that will be set in /etc/dataone/node.properties

If the property is set than throw an exception.  Exceptions.NotImplemented ? We really don't have a way of saying 'this method has

been disabled on this CN try another...'

CNCoreController -- this controller handles a variety of paths

CNCore.setObsoletedBy()

CNCore.archive()

CNReadController -- this controller handles object and meta path methods

CNCore.create()

CNCore.delete()

CNCore.registerSystemMetadata()

CNAuthorizationController -- this controller handles resource path & owner path calls

CNAuthorization.setRightsHolder()

CNAuthorization.setAccessPolicy()

CNReplicationController -- this controller handles a lot of replication endpoints

CNReplication.setReplicationStatus()

CNReplication.setReplicationPolicy()

CNReplication.updateReplicationMetadata()

Associated revisions

Revision 56aa6bd9 - 2013-11-25 20:38 - Robert Waltz

refs #4186

Pom.xml needed updating

Revision 12945 - 2013-11-25 20:38 - Robert Waltz

refs #4186

Pom.xml needed updating

Revision 12945 - 2013-11-25 20:38 - Robert Waltz

refs #4186
Pom.xml needed updating

Revision 12945 - 2013-11-25 20:38 - Robert Waltz

refs #4186

Pom.xml needed updating

Revision 12945 - 2013-11-25 20:38 - Robert Waltz

refs #4186

Pom.xml needed updating

Revision f8d56c68 - 2013-11-26 07:56 - Robert Waltz

refs #4186

Pom.xml needed updating to include jar file that it was failing on because it could not find a method. must be a dependency on an older version of

common-lang in another jar

Revision 12949 - 2013-11-26 07:56 - Robert Waltz

refs #4186

Pom.xml needed updating to include jar file that it was failing on because it could not find a method. must be a dependency on an older version of

common-lang in another jar

Revision 12949 - 2013-11-26 07:56 - Robert Waltz

refs #4186

Pom.xml needed updating to include jar file that it was failing on because it could not find a method. must be a dependency on an older version of

common-lang in another jar

Revision 12949 - 2013-11-26 07:56 - Robert Waltz

refs #4186

Pom.xml needed updating to include jar file that it was failing on because it could not find a method. must be a dependency on an older version of

common-lang in another jar

Revision 12949 - 2013-11-26 07:56 - Robert Waltz

refs #4186

Pom.xml needed updating to include jar file that it was failing on because it could not find a method. must be a dependency on an older version of

common-lang in another jar

History

#1 - 2013-11-27 06:48 - Rob Nahf
- Status changed from New to Closed

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

added the property cn.storage.readOnly to the configuration (added a Settings configuration first), and have the aforementioned methods look for a

value of true before continuing. 

I'm throwing a ServiceFailure instead of NotImplemented, because I think that's customary, but don't have strong opinions either way.  

Code is passing JUnit tests and is checked in.  (d1_cn_rest_proxy)

#2 - 2014-01-07 16:19 - Chris Jones

- Target version set to 2014.2-Block.1.1
